---
Name: image-builder-rhel-server
Description: RHEL Server 7 Image Builder Workflow
Documentation: |
  This example workflow starts a RHEL 7 Image Builder "gold image" build
  and capture process.

  To create a customized version of the image for your use case, use the
  folowing stages to dynamically inject customization tasks in to this
  workflow:

    * `image-builder-pre-builder-flexiflow` - runs before `image-builder-linux` stage
    * `image-builder-post-builder-flexiflow` - runs after `image-builder-linux` stage

  See each of the stages for documentation on how to use them.

  RHEL requires special handling to work due to how Redhat manages subscriptions.
  You may need to set the following Params:

    ```yaml
    image-builder/skip-package-reset: true
    redhat/subscription-username: "[Insert RHSM Username]"
    redhat/subscription-password: "[Insert RHSM Password]"
    redhat/rhsm-activation-key: "[Insert RHSP Activation Key]"
    redhat/rhsm-organization: "[Insert RHSM Organization ID]"
    ```

  There are other `redhat/rhsm-*` related Params that you may need in your environment.
  Consult the list of Params for more configuration options.

Meta:
  color: purple
  icon: pin
  title: Image Builder Workflow
  origin: rackn/image-builder
Stages:
  - image-builder-start
  - rhel-server-7-install
  - redhat-subscription-register
  - ssh-access
  - drp-agent
  - image-builder-pre-builder-flexiflow
  - image-builder-linux
  - image-builder-post-builder-flexiflow
  - image-builder-capture
  - complete-nobootenv
